net.sourceforge.jnlp

## Class AbstractLaunchHandler

- java.lang.Object
- - net.sourceforge.jnlp.AbstractLaunchHandler

- All Implemented Interfaces:
    LaunchHandler
  Direct Known Subclasses:
    DefaultLaunchHandler, GuiLaunchHandler

      public abstract class AbstractLaunchHandler
      extends java.lang.Object
      implements LaunchHandler

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.io.PrintStream` | `outputStream`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractLaunchHandler(java.io.PrintStream outputStream)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `printMessage(LaunchException ex)` Print a message

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sourceforge.jnlp.LaunchHandler

      `launchCompleted, launchError, launchInitialized, launchStarting, launchWarning, validationError`

- - ### Field Detail

    - #### outputStream

          protected final java.io.PrintStream outputStream

  - ### Constructor Detail

    - #### AbstractLaunchHandler

          public AbstractLaunchHandler(java.io.PrintStream outputStream)

  - ### Method Detail

    - #### printMessage

          protected void printMessage(LaunchException ex)

      Print a message

Submit a bug or feature